{% import "apostrophe-templates:macros/caseImageSection.html" as imageSection %}
{% import "apostrophe-templates:macros/caseVideoSection.html" as videoSection %}
{% import "apostrophe-templates:macros/caseTextSection.html" as textSection %}

{% set columns = ['left', 'right'] %}
{% set options = {
    color1: data.page.color1,
    color2: data.page.color2,
    color3: data.page.color3
} %}

<div class="container {{ data.widget.marginTop }} {{ data.widget.marginBottom }}" 
        style="
        {% if data.widget.customBgColor %} 
            background-color: {{data.widget.customBgColor}}; 
        {% endif %}
        ">

    <div class="absolute-drawer-body">
        {{ apos.area(data.widget, 'content', { edit: false }) }}
    </div>

    <div class="case-two-columns-section">

        {% for column in columns %}

            <div class="column-{{ column }}">

                {% for thisItem in data.widget[column].items %}

                    {% if thisItem.type === 'drawer-case-text-section' %}
                        {{ textSection.render(thisItem, options) }}
                    {% elseif thisItem.type ===  'drawer-case-image' %}
                         {{ imageSection.render(apos.images.first(thisItem)) }}
                    {% elseif thisItem.type ===  'drawer-case-video' %}
                         {{ videoSection.render(thisItem) }}
                    {% endif %}
                {% endfor %}

            </div>
            
        {% endfor %}
    </div>

</div>


   
